Incorrect or out of date login key

I am not sure if this issue is specific to your plugin but I am getting the following error when trying to access some of the multi-sites on my install using the domain mapping plugin.

Incorrect or out of date login key

I did just recently have our server have to be replaced and the IP address changed. I updated the IP address in the network admin settings but i'm not sure if that is what is causing the issue with older mapped domains?

Have you seen this error message before?